> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compasslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List known tokens

> Returns a list of known tokens.



## OpenAPI

````yaml /v1/combined_spec.json get /v1/token/list
openapi: 3.1.0
info:
  title: Compass API
  description: Compass Labs DeFi API
  version: 0.0.1
servers:
  - url: https://api.compasslabs.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/token/list:
    get:
      tags:
        - Token
      summary: List known tokens
      description: Returns a list of known tokens.
      operationId: v1_token_list
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            enum:
              - arbitrum
              - base
              - ethereum
            title: Chain
            default: arbitrum
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from compass_api_sdk import CompassAPI, models


            with CompassAPI(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as compass_api:

                res = compass_api.token.token_list(chain=models.V1TokenListChain.ARBITRUM)

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { CompassApiSDK } from "@compass-labs/api-sdk";

            const compassApiSDK = new CompassApiSDK({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await compassApiSDK.token.tokenList({
                chain: "arbitrum",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    TokenListResponse:
      properties:
        tokens:
          items:
            $ref: '#/components/schemas/TokenConfig'
          type: array
          title: Tokens
          description: List of known tokens
      type: object
      required:
        - tokens
      title: TokenListResponse
      description: Response model for token list.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TokenConfig:
      properties:
        address:
          type: string
          title: Address
          description: Deployed address of the token
        decimals:
          type: integer
          minimum: 2
          title: Decimals
          description: Token decimals
        name:
          type: string
          minLength: 3
          title: Name
          description: Name of the token
        symbol:
          type: string
          minLength: 3
          title: Symbol
          description: Token symbol
      type: object
      required:
        - address
        - decimals
        - name
        - symbol
      title: TokenConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Compass API Key. Get your key
        [here](https://www.compasslabs.ai/dashboard).

````